
%global meadversion 1.0.0
%global namedversion 1.0.0.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jsonb-spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.0.redhat-1

Name:           %{?scl_prefix}jsonb-spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java API for JSON Binding (JSON-B)
Group:          Development/Java

%if %with mead
Source100: javax.json.bind-api-1.0.0.redhat-1-scm-sources.zip
Source102: javax.json.bind-api-1.0.0.redhat-1.jar
Source103: javax.json.bind-api-1.0.0.redhat-1-sources.jar
Source104: javax.json.bind-api-1.0.0.redhat-1-project-sources.tar.gz
Source105: javax.json.bind-api-1.0.0.redhat-1.pom
Source106: javax.json.bind-api-1.0.0.redhat-1-javadoc.jar
%endif

License:        CDDL-1.1 or GPLv2 with exceptions
URL:            https://github.com/javaee/jsonb-spec
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JSON-B is a standard binding layer for converting Java objects to/from JSON messages.
It defines a default mapping algorithm for converting existing Java classes to JSON,
while enabling developers to customize the mapping process through the use of Java annotations.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jsonb-spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n api -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/javax.json.bind-api-%{namedversion}.jar %{buildroot}%{_javadir}/javax.json.bind-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/javax.json.bind-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/javax.json.bind-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/javax.json.bind-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/javax.json.bind-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/javax.json.bind-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/javax.json.bind-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/javax.json.bind-api-%{namedversion} -x META-INF/\*
%{__ln_s} javax.json.bind-api-%{namedversion} %{buildroot}%{_javadocdir}/javax.json.bind-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%if 0
%doc LICENCE.txt LICENCE.html README.md CONTRIBUTING.md
%endif
%{_javadir}/javax.json.bind-api-%{namedversion}.jar
%{_javadir}/javax.json.bind-api.jar
%if %with javadoc
%{_javadir}/javax.json.bind-api-%{namedversion}-javadoc.jar
%{_javadir}/javax.json.bind-api-javadoc.jar
%endif
%{_javadir}/javax.json.bind-api-%{namedversion}-sources.jar
%{_javadir}/javax.json.bind-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/javax.json.bind-api-%{namedversion}
%{_javadocdir}/javax.json.bind-api
%endif

%changelog
* Fri Jun 29 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_1.1
-  1.0.0.redhat-1 for eap 7.2.0

* Fri Jun 29 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.Final_redhat_1.1
- 1.0.0.Final-redhat-1
